Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm using ubuntu 12.04. the system requires php5.2 and mysql5.1. I installed php and mysql from source. I encountered the following problem while configuring php:

./configure \
 --prefix=/usr/share/php52 \
 --with-apxs2=/usr/local/apache2/bin/apxs \
 --enable-mbstring \
 --with-curl \
 --with-mysql \
 --enable-embedded-mysqli \
 --enable-exif \
 --with-mcrypt 

checking for MSSQL support via FreeTDS... no
checking for MySQL support... yes
checking for specified location of the MySQL UNIX socket... no
checking for MySQL UNIX socket location... /tmp/mysql.sock
configure: error: Cannot find MySQL header files under yes.
Note that the MySQL client library is not bundled anymore!

What should I do?

Thanks in advance

share|improve this question
    
look here forums.debian.net/viewtopic.php?t=9636 –  Olcay Ertaş Feb 19 '13 at 8:49
    
@Olcay Ertaş In the future, please post the answer here with a link for reference or further information. –  bodhi.zazen Feb 19 '13 at 14:05

2 Answers 2

From the above link:

"apt-cache search mysql | grep dev" reveals that you need libmysqlclient15-dev.

share|improve this answer

There's no need to install from source. You can simply install tasksel via the terminal with sudo apt-get install tasksel and then run sudo tasksel and choose the option to install LAMP. LAMP stands for Linux, Apache, MySQL and php. See https://help.ubuntu.com/community/Tasksel

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.